Not able to change my Unity Hub Version

I am still a beginner in unity and using Unity Hub version 3.2.0. I want to change it to 3.4.0. But I’m not able to do so. It’s showing that Unity Hub cannot be closed, close it manually and click retry to continue. But even after closing Unity Hub manually, it is showing the same message.

Please reply if any suggestions.